import { PageProps } from "$fresh/server.ts";

import { Head } from "$fresh/runtime.ts";
export default function App({ Component }: PageProps) {
  const globalCss = Deno
    .readTextFileSync("./static/global.css")
    .replaceAll("\n", "");
  return (
    <>
      <Head>
        <link rel="stylesheet" href="/styles.css" />
        <link
          rel="icon"
          type="image/png"
          href="/favicon.png"
        />
        <link rel="manifest" href="/site.webmanifest" />
        <meta name="msapplication-TileColor" content="#da532c" />
        <meta name="theme-color" content="#141218" />
        <style>{globalCss}</style>
        <title>Memorium</title>
      </Head>
      <Component />
      <script src="/thumbnails.js" type="module" async defer />
    </>
  );
}
